import { requestClient } from '#/api/request';

enum Api {
  base = '/scheduleTasks/tasks/confirm',
  licenseBase = '/formLicense/license/handle',
  // childBase = '/taskCheckSubItem/item',
}

/**
 * 确认完成任务
 * @param id 任务ID
 * @returns
 */
export function confirmDoneTask(id: number) {
  return requestClient.put(`${Api.base}/${id}`);
}

/**
 * 处理任务
 * @param id 任务ID
 * @param data 任务数据
 * @returns
 */
export function handleLicense(id: number) {
  return requestClient.put(`${Api.licenseBase}/${id}`);
}
